Subject: [OPSAWG] review of draft-ietf-opsawg-capwap-extension-01

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 29 Oct 2013 16:41:38 +0000

Hi,

I have read draft-ietf-opsawg-capwap-extension-01. I am no expert in IEEE 802.11 technology, so I cannot confirm the accuracy of the .11-related information in this I-D. It looks like straight forward and consistent work, but it needs review from the IEEE experts as long as several editorial improvements. 

Here are my comments (mostly editorial, but important to make the document readable and usable): 

1. The document obviously updated RFC 5416. This needs to be mentioned in the Header. Moreover, there must be some information about the migration or coexistence from a previous CAPWAP environment that did not support IEEE 802.11n and a new environment that supports .11n and the CAPWAP extensions defined in this document
2. The document needs a section of abbreviations - expand and explain if necessary what OFDM, MIMO, etc. mean
3. There is a need of cleaning the English syntax - preferable by a native English speaker. 
4. Keywords need to be used in a manner that is consistent and conforms to RFC 2119. For example the 'may' in the first paragraph of Section 4.2, or in the first paragraph of section 4.3 need to be capitalized. 
5. Some of the fields need to have the units for the parameters added - e.g. MaxRxFactor, Min StaSpacing, HiSuppDataRate
6. In Section 5.3 I could not understand what 'Report Count: The channel number will be reported' - is it a number or a count? 

Thanks and Regards,

Dan